org.apache.ode.bpel.compiler

## Class PickGeneratorMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.PickGeneratorMessages

-     public class PickGeneratorMessages
      extends CompilationMessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickGeneratorMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errEmptyOnMessage()`
    `CompilationMessage` | `errForOrUntilMustBeGiven()`
    `CompilationMessage` | `errOnAlarmWithCreateInstance()`
    `CompilationMessage` | `errRendezvousNotSupported()`
    `CompilationMessage` | `errSecondNonInitiateOrJoinCorrelationSet(java.lang.String setName)` Attempt to use multiple non-initiate correlation sets; second set was "{0}".

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PickGeneratorMessages

          public PickGeneratorMessages()

  - ### Method Detail

    - #### errSecondNonInitiateOrJoinCorrelationSet

          public CompilationMessage errSecondNonInitiateOrJoinCorrelationSet(java.lang.String setName)

      Attempt to use multiple non-initiate correlation sets; second set was "{0}".

    - #### errForOrUntilMustBeGiven

          public CompilationMessage errForOrUntilMustBeGiven()

    - #### errEmptyOnMessage

          public CompilationMessage errEmptyOnMessage()

    - #### errOnAlarmWithCreateInstance

          public CompilationMessage errOnAlarmWithCreateInstance()

    - #### errRendezvousNotSupported

          public CompilationMessage errRendezvousNotSupported()